# Uses of Class
org.eclipse.ui.model.AdaptableList

Packages that use AdaptableList
Package
Description
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.

## Uses of AdaptableList in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return AdaptableList
Modifier and Type
Method
Description
`AdaptableList`
FileSystemElement.`getFiles()`
Answer the files property of this element.
`AdaptableList`
FileSystemElement.`getFolders()`
Returns a list of the folders that are immediate children of this folder.

## Uses of AdaptableList in org.eclipse.ui.model

Methods in org.eclipse.ui.model that return AdaptableList
Modifier and Type
Method
Description
`AdaptableList`
AdaptableList.`add(IAdaptable adaptable)`
Adds the given adaptable object to this list.